Page MenuHomePhabricator

[libunwind] Factor out getInfoFromFdeCie. NFCI.
ClosedPublic

Authored by rprichard on Aug 19 2020, 5:19 PM.

Diff Detail

Event Timeline

rprichard created this revision.Aug 19 2020, 5:19 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptAug 19 2020, 5:19 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
rprichard requested review of this revision.Aug 19 2020, 5:19 PM
compnerd accepted this revision.Aug 20 2020, 9:50 AM
compnerd added inline comments.
libunwind/src/UnwindCursor.hpp
1496

Can you fix this please? The comment shouldn't be columnized.

1502

Since you are moving things anyways, please convert these to C++ style casts.

1967–1968

Would you mind splitting this into two conditions?

if ((fdInfo.pcStart <= pc) && (pc < fdeInfo.pcEnd))
  if (getInfoFromFdeCie(fdeInfo, cieInfo, pc, 0, false))
    return;
This revision is now accepted and ready to land.Aug 20 2020, 9:50 AM
rprichard updated this revision to Diff 286921.Aug 20 2020, 5:02 PM

Stylistic changes. Also, only a single caller to getInfoFromFdeCie adds the result to the DwarfFDECache, so leave the cache addition code in getInfoFromDwarfSection.

This revision was landed with ongoing or failed builds.Aug 26 2020, 6:24 PM
This revision was automatically updated to reflect the committed changes.